After 3 months of development and 2 months of package migration later, **MatterLinux 24.05**
is finally here. So let's go over all the details, shall we?

## The new package management system
We now have a reworked package managment system, with new tools, libraries, pools and packages.
Some of these are been in the work for months now, and I am so happy to announce that they are finally ready
and are being shipped with the new 24.05 release.

I already covered some these new tools in the previous posts, however here is a quick list if you missed
all that:

- **[libmp](https://git.matterlinux.xyz/Matter/libmp)**: MatterLinux package management library
- **[matt](https://git.matterlinux.xyz/Matter/matt)**: The (new) MatterLinux package manager
- **[mtsc](https://git.matterlinux.xyz/Matter/mtsc)**: MatterLinux tools and scripts collection
- **[pooler](https://git.matterlinux.xyz/Matter/mtsc)**: Simple MPTP server for serving package pools
- **[mirp](https://git.matterlinux.xyz/Matter/mirp)**: MPTP mirror tool

So now with these new and updated pools, package management has improved a lot, here are few important changes:

- **Packages are now independent**: You can install packages from local package archives, without depending on a pool
- **More information**: Packages now store more information for the user, such as a changes file
- **Faster**: We now use proper SQLite databases and a custom TCP based protocol ([MPTP](/wiki/mptp)) to improve operation speeds

I also updated lots of core packages, and you can expect more consistent focus on updates and patches from now on.

This also unfortunately means that previous releases of MatterLinux that use the older package management system is completely
broken, as I shut down the old package repositories. It's still possible to use old ISO images and release archives thought. You just
won't be able to install any packages.

## A new package pool
With 24.05, I've introduced a new package pool, [server](/wiki/pools). As the name suggest this pool will be shipping popular
server software, such as Apache HTTPD or nginx. Currently it only contains a few packages, and it's disabled by default in the [matt](/wiki/matt)
configuration. You can enable it if you want to check it out.

## Website updates
I've also updated to the different components of the MatterLinux website:

- [News page](/news) now support Atom/RSS/JSON feeds
- [Package tracker](https://tracker.matterlinux.xyz) now offers more information about packages and more options for package search
- [Wiki](/wiki) is restructured to make it easier to find different pages, and all pages are updated

A part from these I also made few style changes to improve the user experience

## What's next?
I'll be taking few weeks off and I will work on some different projects of mine, as I literally just spent 3 months on MatterLinux.
However I'll back and I'll be bringing in more package updates, security patches and maybe even more packages.

Anyway, that will be all for now, thank you for reading and I hope I will see you in the next post!
